SSHBase (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.ssh.SSHBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.ssh
Class SSHBase

    java.lang.Object
      org.hyperic.util.ssh.SSHBase

Direct Known Subclasses:
  SSHRemoteExec

    public class SSHBase

extends java.lang.Object

Field Summary
`protected java.lang.String` | `host`
`protected java.lang.String` | `password`
`protected int` | `port`
`protected int` | `timeout`
`protected java.lang.String` | `user`

Constructor Summary
`SSHBase(java.lang.String user, java.lang.String password, java.lang.String host)`

Method Summary
`com.jcraft.jsch.Session` | `openSession()`
`void` | `setPort(int port)`
`void` | `setTimeout(int timeout)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### user

    protected java.lang.String user

### host

    protected java.lang.String host

### password

    protected java.lang.String password

### port

    protected int port

### timeout

    protected int timeout

Constructor Detail

### SSHBase

    public SSHBase(java.lang.String user,
                   java.lang.String password,
                   java.lang.String host)

Method Detail

### setPort

    public void setPort(int port)

### setTimeout

    public void setTimeout(int timeout)

### openSession

    public com.jcraft.jsch.Session openSession()
                                        throws com.jcraft.jsch.JSchException

  Throws:
    `com.jcraft.jsch.JSchException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.